{
  lib,
  stdenv,
  fetchurl,
  fltk13,
  libjpeg,
  pkg-config,
}:

stdenv.mkDerivation rec {
  version = "1.3.6";
  pname = "flwrap";

  src = fetchurl {
    url = "mirror://sourceforge/fldigi/${pname}-${version}.tar.gz";
    sha256 = "sha256-g1V7bOcgVHpD+Ndn02Nj4I3rGItuQ2qLGlrZZshfGP8=";
  };

  nativeBuildInputs = [
    pkg-config
  ];

  buildInputs = [
    fltk13
    libjpeg
  ];

  configureFlags = [
    "FLTK_CONFIG=${lib.getExe' (lib.getDev fltk13) "fltk-config"}"
  ];

  meta = {
    description = "Digital modem file transfer program";
    homepage = "https://sourceforge.net/projects/fldigi/";
    license = lib.licenses.gpl3Plus;
    maintainers = with lib.maintainers; [ dysinger ];
    platforms = lib.platforms.linux;
    mainProgram = "flwrap";
  };
}
