(defpackage org.lispbuilds.nix/hydra
  (:documentation "List of packages allowed to be build on Hydra")
  (:use :cl)
  (:export
   :+allowlist+))

(in-package org.lispbuilds.nix/hydra)

(defparameter +allowlist+
  (list
   "_1am"
   "_3bmd"
   "_3bmd-ext-code-blocks"
   "access"
   "acclimation"
   "agutil"
   "alexandria"
   "anaphora"
   "arnesi"
   "array-operations"
   "array-utils"
   "arrows"
   "asdf-package-system"
   "asdf-system-connections"
   "babel"
   "binomial-heap"
   "binpack"
   "blackbird"
   "bordeaux-threads"
   "buildnode"
   "buildnode-xhtml"
   "calispel"
   "cffi"
   "cffi-grovel"
   "cffi-toolchain"
   "cffi-uffi-compat"
   "chanl"
   "check-it"
   "chipz"
   "chunga"
   "circular-streams"
   "cl-aa"
   "cl-ana"
   "cl-annot"
   "cl-anonfun"
   "cl-ansi-text"
   "cl-async"
   "cl-async-base"
   "cl-async-repl"
   "cl-async-ssl"
   "cl-async-util"
   "cl-avro"
   "cl-base64"
   "cl-cairo2"
   "cl-cairo2"
   "cl-cairo2-xlib"
   "cl-cffi-gtk"
   "cl-cffi-gtk-cairo"
   "cl-cffi-gtk-gdk"
   "cl-cffi-gtk-gdk-pixbuf"
   "cl-cffi-gtk-gio"
   "cl-cffi-gtk-glib"
   "cl-cffi-gtk-gobject"
   "cl-cffi-gtk-pango"
   "cl-change-case"
   "cl-cli"
   "cl-colors"
   "cl-colors2"
   "cl-containers"
   "cl-cookie"
   "cl-css"
   "cl-csv"
   "cl-cuda"
   "cl-custom-hash-table"
   "cl-dbi"
   "cl-difflib"
   "cl-digraph"
   "cl-dot"
   "cl-emb"
   "cl-environments"
   "cl-fad"
   "cl-form-types"
   "cl-freetype2"
   "cl-fuse"
   "cl-fuse-meta-fs"
   "cl-fuzz"
   "cl-geometry"
   "cl-gobject-introspection"
   "cl-gtk2-gdk"
   "cl-gtk2-glib"
   "cl-gtk2-pango"
   "cl-gtk4"
   "cl-gtk4.adw"
   "cl-gtk4.webkit2"
   "cl-heap"
   "cl-hooks"
   "cl-html-diff"
   "cl-html-parse"
   "cl-html5-parser"
   "cl-interpol"
   "cl-jpeg"
   "cl-json"
   "cl-l10n"
   "cl-l10n-cldr"
   "cl-libuv"
   "cl-libxml2"
   "cl-libyaml"
   "cl-locale"
   "cl-markup"
   "cl-mustache"
   "cl-mysql"
   "cl-num-utils"
   "cl-pango"
   "cl-paths"
   "cl-paths-ttf"
   "cl-pattern"
   "cl-pdf"
   "cl-postgres"
   "cl-postgres+local-time"
   "cl-ppcre"
   "cl-ppcre-template"
   "cl-ppcre-unicode"
   "cl-prevalence"
   "cl-qprint"
   "cl-qrencode"
   "cl-readline"
   "cl-reexport"
   "cl-rsvg2"
   "cl-sat"
   "cl-sat.glucose"
   "cl-sat.minisat"
   "cl-shellwords"
   "cl-slice"
   "cl-smt-lib"
   "cl-smtp"
   "cl-speedy-queue"
   "cl-store"
   "cl-svg"
   "cl-syntax"
   "cl-syntax-annot"
   "cl-syntax-anonfun"
   "cl-syntax-markup"
   "cl-syslog"
   "cl-test-more"
   "cl-typesetting"
   "cl-unicode"
   "cl-unification"
   "cl-utilities"
   "cl-vectors"
   "cl-webkit2"
   "cl-who"
   "cl-xmlspam"
   "cl+ssl"
   "clack"
   "clack-socket"
   "classowary"
   "clfswm"
   "closer-mop"
   "closure-common"
   "closure-html"
   "clsql"
   "clsql-postgresql"
   "clsql-postgresql-socket"
   "clsql-sqlite3"
   "clsql-uffi"
   "clss"
   "cluffer"
   "clump"
   "clump-2-3-tree"
   "clump-binary-tree"
   "clunit"
   "clunit2"
   "clx"
   "clx-truetype"
   "collectors"
   "colorize"
   "com.inuoe.jzon"
   "command-line-arguments"
   "css-lite"
   "css-selectors"
   "css-selectors-simple-tree"
   "css-selectors-stp"
   "cxml"
   "cxml-stp"
   "data-table"
   "dbd-mysql"
   "dbd-postgres"
   "dbd-sqlite3"
   "dbi"
   "dbi-test"
   "dbus"
   "defclass-std"
   "dexador"
   "dissect"
   "djula"
   "do-urlencode"
   "documentation-utils"
   "drakma"
   "eager-future2"
   "enchant"
   "esrap"
   "esrap-peg"
   "external-program"
   "fare-csv"
   "fare-mop"
   "fare-quasiquote"
   "fare-quasiquote-extras"
   "fare-quasiquote-optima"
   "fare-quasiquote-readtable"
   "fare-utils"
   "fast-http"
   "fast-io"
   "fiasco"
   "file-attributes"
   "fiveam"
   "flexi-streams"
   "float-features"
   "flow"
   "fn"
   "form-fiddle"
   "fset"
   "generic-cl"
   "gettext"
   "global-vars"
   "glsl-docs"
   "glsl-spec"
   "glsl-symbols"
   "gsll"
   "heap"
   "html-encode"
   "http-body"
   "hu.dwim.asdf"
   "hu.dwim.common"
   "hu.dwim.common-lisp"
   "hu.dwim.def"
   "hu.dwim.def+swank"
   "hu.dwim.defclass-star"
   "hu.dwim.stefil"
   "hu.dwim.stefil+hu.dwim.def"
   "hu.dwim.stefil+hu.dwim.def+swank"
   "hu.dwim.stefil+swank"
   "hunchensocket"
   "hunchentoot"
   "idna"
   "ieee-floats"
   "inferior-shell"
   "introspect-environment"
   "iolib"
   "iolib.asdf"
   "iolib.base"
   "iolib.common-lisp"
   "iolib.conf"
   "ironclad"
   "iterate"
   "jonathan"
   "jpl-queues"
   "jpl-util"
   "jsown"
   "kmrcl"
   "lack"
   "lack-component"
   "lack-middleware-backtrace"
   "lack-util"
   "lambda-fiddle"
   "legit"
   "let-plus"
   "lev"
   "lfarm-client"
   "lfarm-common"
   "lfarm-server"
   "lfarm-ssl"
   "lift"
   "lisp-binary"
   "lisp-namespace"
   "lisp-unit"
   "lisp-unit2"
   "lla"
   "local-time"
   "log4cl"
   "lparallel"
   "lquery"
   "ltk"
   "marshal"
   "md5"
   "metabang-bind"
   "metatilities-base"
   "mgl"
   "mgl-mat"
   "mgl-pax"
   "minheap"
   "misc-extensions"
   "mk-string-metrics"
   "mmap"
   "moptilities"
   "more-conditions"
   "mt19937"
   "named-readtables"
   "nbd"
   "net-telent-date"
   "net.didierverna.asdf-flv"
   "nibbles"
   "nyxt"
   "optima"
   "osicat"
   "parachute"
   "parenscript"
   "parse-declarations-1.0"
   "parse-float"
   "parse-number"
   "parseq"
   "parser-combinators"
   "parser.common-rules"
   "pcall"
   "pcall-queue"
   "physical-quantities"
   "plump"
   "postmodern"
   "proc-parse"
   "prove"
   "prove-asdf"
   "ptester"
   "puri"
   "pythonic-string-reader"
   "pzmq"
   "pzmq-compat"
   "pzmq-examples"
   "pzmq-test"
   "qt"
   "qt-libs"
   "qtools"
   "quasiquote-2.0"
   "query-fs"
   "quri"
   "rfc2388"
   "rove"
   "rt"
   "s-sql"
   "s-sysdeps"
   "s-xml"
   "salza2"
   "serapeum"
   "simple-date"
   "simple-date-time"
   "simple-inferiors"
   "simple-tasks"
   "slynk"
   "smart-buffer"
   "smug"
   "spinneret"
   "split-sequence"
   "sqlite"
   "static-dispatch"
   "static-vectors"
   "stefil"
   "str"
   "string-case"
   "stumpwm"
   "swank"
   "swap-bytes"
   "sycamore"
   "symbol-munger"
   "trees"
   "trivia"
   "trivia.balland2006"
   "trivia.level0"
   "trivia.level1"
   "trivia.level2"
   "trivia.quasiquote"
   "trivia.trivial"
   "trivial-arguments"
   "trivial-backtrace"
   "trivial-clipboard"
   "trivial-cltl2"
   "trivial-features"
   "trivial-file-size"
   "trivial-garbage"
   "trivial-gray-streams"
   "trivial-indent"
   "trivial-macroexpand-all"
   "trivial-main-thread"
   "trivial-mimes"
   "trivial-package-local-nicknames"
   "trivial-package-manager"
   "trivial-shell"
   "trivial-types"
   "trivial-utf-8"
   "trivial-with-current-source-form"
   "type-i"
   "uax-15"
   "uffi"
   "unit-test"
   "unix-options"
   "unix-opts"
   "usocket"
   "usocket-server"
   "utilities.print-items"
   "utilities.print-tree"
   "uuid"
   "varjo"
   "vas-string-metrics"
   "vecto"
   "vom"
   "wild-package-inferred-system"
   "woo"
   "wookie"
   "xembed"
   "xkeyboard"
   "xml.location"
   "xmls"
   "xpath"
   "xsubseq"
   "yacc"
   "yason"
   "zpb-ttf"
   "zpng"
   ))
