{
  pkgs ? import <nixpkgs> { inherit system; },
  system ? builtins.currentSystem,
  noDev ? false,
  php ? pkgs.php,
  phpPackages ? pkgs.phpPackages,
}:

let
  composerEnv = import ./composer-env.nix {
    inherit (pkgs)
      stdenv
      lib
      writeTextFile
      fetchurl
      unzip
      ;
    inherit php phpPackages;
  };
in
import ./php-packages.nix {
  inherit composerEnv noDev;
  inherit (pkgs)
    fetchurl
    fetchgit
    fetchhg
    fetchsvn
    ;
}
